Skip to main content
POST
/
v1
/
claims
/
{sourceOrderId}
Create Claim
curl --request POST \
  --url https://api.production.orderprotection.com/v1/claims/{sourceOrderId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "claim@example.com",
  "salesChannel": "ONLINE",
  "claimCategory": "SHIPPING",
  "fulfillmentIssues": [
    {
      "sourceFulfillmentId": "123456",
      "issues": [
        {
          "issueType": "DAMAGED",
          "quantity": 1,
          "sourceProductId": "product_123",
          "sourceVariantId": "variant_123",
          "sourceItemId": "item_123",
          "details": "The seal on the product showed up broken. There was powder all over the box.",
          "images": [
            "https://cdn.orderprotection.com/claim/bad-product.jpg"
          ]
        }
      ]
    }
  ],
  "resolution": {
    "customerSignature": "https://cdn.orderprotection.com/signature/customer-signature.jpg",
    "desiredMethod": "REFUND",
    "warrantyPeriod": "P1Y"
  },
  "claimFiledFrom": "EXTERNAL",
  "options": {
    "fromValet": false,
    "requireCustomerSignature": false
  }
}
'
{
  "status": "ok"
}

Documentation Index

Fetch the complete documentation index at: https://docs.orderprotection.com/llms.txt

Use this file to discover all available pages before exploring further.

Shipping and Warranty claims for orders that were made on your online store.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

sourceOrderId
string
required

Body

application/json
email
string
required
Example:

"claim@example.com"

salesChannel
enum<string>
default:ONLINE
required

The sales channel for the claim

Available options:
ONLINE,
IN_STORE
Example:

"ONLINE"

claimCategory
enum<string>
default:SHIPPING
required

The category of the claim

Available options:
SHIPPING,
WARRANTY
Example:

"SHIPPING"

fulfillmentIssues
object[]
required
Example:
[
{
"sourceFulfillmentId": "123456",
"issues": [
{
"issueType": "DAMAGED",
"quantity": 1,
"sourceProductId": "product_123",
"sourceVariantId": "variant_123",
"sourceItemId": "item_123",
"details": "The seal on the product showed up broken. There was powder all over the box.",
"images": [
"https://cdn.orderprotection.com/claim/bad-product.jpg"
]
}
]
}
]
resolution
object
required
claimFiledFrom
enum<string>
default:EXTERNAL

Indicates where the claim was filed from

Available options:
EXTERNAL,
INTERNAL
Example:

"EXTERNAL"

options
object

Additional options for claim creation

Response

status
string
required
read-only
Example:

"ok"